%define base_name	bofh

Name:		fortune-%{base_name}
Version:	1.2
Release:	%mkrel 8
Summary:	BOFH excuses fortune
License:	Public Domain
Group:		Toys
URL:		http://www.cs.wisc.edu/~ballard/bofh
Source:		%{base_name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	fortune-mod
BuildRequires:	fortune-mod

%description
This is a set of BOFH-style excuses.

%prep
%setup -q -n %{base_name}-%{version}

%build
perl -ni -e 'print "BOFH excuse #" . ++$i . ":\n\n$_%\n"' excuses
/usr/bin/strfile excuses

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 excuses %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}
install -m 644 excuses.dat %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}.dat

%files
%{_gamesdatadir}/fortunes/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.2-8.mga8
+ Revision: 1490297
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2-7.mga7
+ Revision: 1261559
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.2-6.mga6
+ Revision: 933401
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 748743
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 679302
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 504557
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 350782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 1.2-1.mga2
+ Revision: 182810
- New version - 1.2 - sync with Debian

* Tue Jul 19 2011 guillomovitch <guillomovitch> 1.0-8.mga2
+ Revision: 126570
- imported package fortune-bofh


* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0-8mdv2009.0
+ Revision: 245317
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-6mdv2008.1
+ Revision: 136417
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 1.0-6mdv2008.0
+ Revision: 71617
- Import fortune-bofh



* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 1.0-6mdv2007.0
- mkrel

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 1.0-5mdk
- Rebuild

* Fri Aug 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- rebuild

* Sat Jul 26 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- really split the strings

* Mon Jul 21 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- fix buildrequires

* Sat Jul 19 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.0-1mdk
- first Mandrake release
